"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultNotificationProvider = void 0;
class DefaultNotificationProvider {
    constructor() {
        console.warn("Используется NotificationProvider. Все нотификации будут выведены только в консоль");
    }
    Error(message, title, dismissAfter) {
        console.error(`${title} ${message}`);
    }
    Success(message, title, dismissAfter) {
        console.log(`${title} ${message}`);
    }
    Info(message, title, dismissAfter) {
        console.debug(`${title} ${message}`);
    }
    Warning(message, title, dismissAfter) {
        console.warn(`${title} ${message}`);
    }
    Debug(message) {
        console.debug(`${message}`);
    }
    GetNotifications() {
        return [];
    }
}
exports.DefaultNotificationProvider = DefaultNotificationProvider;
