"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationItem = void 0;
const Guid_1 = require("../Guid/Guid");
class NotificationItem {
    constructor(message, icon, color, title, dismissAfter, onClick, closeAfterClick) {
        this.id = Guid_1.Guid.newGuid().toString();
        this.showing = true;
        this.outline = false;
        this.message = message;
        this.icon = icon;
        this.color = color;
        this.dismissAfter = dismissAfter;
        this.title = title;
        this.onClick = onClick;
        this.closeAfterClick = closeAfterClick;
    }
}
exports.NotificationItem = NotificationItem;
